import React from 'react'
import { JournalProvider } from '../../app/components/xpub-journal/src'
import { XpubProvider } from '../../app/components/xpub-with-context/src'
import * as journal from '../../config/journal'
import DesignEmbed from '../common/utils'
import ReadonlyFormTemplate from '../../app/components/component-review/src/components/metadata/ReadonlyFormTemplate'

export const Base = args => (
  <XpubProvider>
    <JournalProvider journal={JSON.parse(JSON.stringify(journal))}>
      <>
        {args.figmaEmbedLink && (
          <>
            <h2 style={{ color: '#333333' }}>Design</h2>
            <iframe
              allowFullScreen
              height={350}
              src={args.figmaEmbedLink}
              style={{ border: '1px solid rgba(0, 0, 0, 0.1)' }}
              title="figma embed"
              width="100%"
            />
            <h2 style={{ color: '#333333' }}>Component</h2>
          </>
        )}
        <ReadonlyFormTemplate {...args} />
      </>
    </JournalProvider>
  </XpubProvider>
)

export const EmptyReviewMetadaForm = Base.bind()

const baseProps = {
  formData: {},
  form: {
    __typename: 'FormStructure',
    name: 'Research Object Submission Form',
    description:
      '<p>Please fill out the form below to complete your submission.</p>',
    haspopup: 'true',
    popuptitle:
      'By submitting the manuscript, you agree to the following statements.',
    popupdescription:
      '<p>The corresponding author confirms that all co-authors are included, and that everyone listed as a co-author agrees to that role and all the following requirements and acknowledgements:</p><p></p><p>The submission represents original work and sources are given proper attribution. The journal employs CrossCheck to compare submissions against a large and growing database of published scholarly content. If in the judgment of a senior editor a submission is genuinely suspected of plagiarism, it will be returned to the author(s) with a request for explanation.</p><p></p><p>The research was conducted in accordance with ethical principles.</p><p></p><p>There is a Data Accessibility Statement, containing information about the location of open data and materials, in the manuscript.</p><p></p><p>A conflict of interest statement is present in the manuscript, even if to state no conflicts of interest.</p>',
    children: [
      {
        __typename: 'FormElement',
        title: 'Type of Research Object',
        shortDescription: null,
        id: 'fa0c39ca-0486-4e29-ba24-f86f7d375c3f',
        component: 'Select',
        name: 'submission.objectType',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: [
          {
            __typename: 'FormElementOption',
            id: 'df5fc212-b055-4cba-9d0e-e85222e3d4f2',
            label: 'Dataset',
            value: 'dataset',
          },
          {
            __typename: 'FormElementOption',
            id: 'ef2ddada-105a-412e-8d7f-56b1df44c02f',
            label: 'Software',
            value: 'software',
          },
          {
            __typename: 'FormElementOption',
            id: '0fafbfc3-6797-46e3-aff4-3fd4f16261b1',
            label: 'Figure',
            value: 'figure',
          },
          {
            __typename: 'FormElementOption',
            id: '5117a7c6-2fcf-414b-ac60-47f8d93ccfef',
            label: 'Notebook',
            value: 'notebook',
          },
          {
            __typename: 'FormElementOption',
            id: '32121b38-b855-465e-b039-b5100177698b',
            label: 'Research article ',
            value: 'Research article ',
          },
        ],
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Title',
        shortDescription: null,
        id: '47fd802f-ed30-460d-9617-c8a9b9025e95',
        component: 'TextField',
        name: 'meta.title',
        description: null,
        doiValidation: null,
        placeholder: "Enter the manuscript's title",
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Author names',
        shortDescription: null,
        id: 'd76e5b3c-eeaa-4168-9318-95d43a31e3e4',
        component: 'AuthorsInput',
        name: 'submission.authorNames',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Topics',
        shortDescription: null,
        id: '62ca72ad-04b0-41fc-85d1-415469d7e895',
        component: 'CheckboxGroup',
        name: 'submission.topics',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: [
          {
            __typename: 'FormElementOption',
            id: '2323b6d1-8223-45e8-a0fc-1044a1e39d37',
            label: 'Neuropsychology ',
            value: 'Neuropsychology ',
          },
          {
            __typename: 'FormElementOption',
            id: 'ac7cafca-c5c8-4940-9f2f-014d18660e90',
            label: 'Topic 2',
            value: 'Topic 2',
          },
          {
            __typename: 'FormElementOption',
            id: '93c88240-9c2b-4c23-9301-23ed94ef61d7',
            label: 'Topic 3',
            value: 'Topic 3',
          },
        ],
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'DOI',
        shortDescription: null,
        id: '1c2e9325-3fa8-41f3-8607-180eb8a25aa3',
        component: 'TextField',
        name: 'submission.DOI',
        description: null,
        doiValidation: 'true',
        placeholder: "Enter the manuscript's DOI",
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Abstract',
        shortDescription: 'Abstract',
        id: 'd80b2c88-6144-4003-b671-63990b9b2793',
        component: 'AbstractEditor',
        name: 'submission.abstract',
        description: '<p>Please provide a short summary of your submission</p>',
        doiValidation: null,
        placeholder: 'Input your abstract...',
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Author correspondence ',
        shortDescription: null,
        id: '7f5aa395-3486-4067-b636-ae204d472c16',
        component: 'TextField',
        name: 'submission.AuthorCorrespondence',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Cover letter',
        shortDescription: null,
        id: '347dc171-f008-45ac-8433-ca0711bf213c',
        component: 'AbstractEditor',
        name: 'submission.cover',
        description:
          '<p>Cover letter describing submission, relevant implications, and timely information to consider</p>',
        doiValidation: null,
        placeholder: 'Enter your cover letter',
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Editors evaluation ',
        shortDescription: null,
        id: '14b8da7d-5924-4098-8d1f-e528c7c440b9',
        component: 'TextField',
        name: 'submission.EditorsEvaluation',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Data and Code availability statements',
        shortDescription: null,
        id: 'bf2f9b4a-377b-4303-8f51-70d836eb1456',
        component: 'AbstractEditor',
        name: 'submission.datacode',
        description: null,
        doiValidation: null,
        placeholder: 'Enter your data and code availability statement',
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Competing interests',
        shortDescription: null,
        id: 'fa5e5b75-4b6f-4a2d-9113-c2b4db73ef8a',
        component: 'AbstractEditor',
        name: 'submission.competingInterests',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Funding',
        shortDescription: null,
        id: '6bfdc237-814d-4af8-b0f0-064099d679ba',
        component: 'TextField',
        name: 'submission.Funding',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Upload supplementary materials',
        shortDescription: null,
        id: 'b769b4d5-f9b3-48d3-a6d5-77bb6a9e95b0',
        component: 'SupplementaryFiles',
        name: 'fileName',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Author contributions ',
        shortDescription: null,
        id: 'b127ecb1-4862-4662-a958-3266eb284353',
        component: 'TextField',
        name: 'submission.authorContributions',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Decision letter and author response',
        shortDescription: null,
        id: '6342cff7-c57a-4fd9-b91d-c4cf77b4c309',
        component: 'AbstractEditor',
        name: 'submission.DecisionLetter',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'References ',
        shortDescription: null,
        id: 'e8af0c63-e46f-46a8-bc90-5023fe50a541',
        component: 'AbstractEditor',
        name: 'submission.references',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Reviewing editors name ',
        shortDescription: null,
        id: 'ebe75cec-0ba8-4f00-9024-20e77ed94f1c',
        component: 'AuthorsInput',
        name: 'submission.reviewingEditor',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Copyright holder',
        shortDescription: null,
        id: '6871680a-2278-40b3-80c6-7de06f21aafb',
        component: 'TextField',
        name: 'submission.copyrightHolder',
        description: '<p class="paragraph">e.g. British Medical Journal </p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Copyright statement ',
        shortDescription: null,
        id: '1e9ff636-f850-4d20-b079-36af49fa4ad1',
        component: 'TextField',
        name: 'submission.copyrightStatement',
        description:
          '<p class="paragraph">e.g. This article is distributed under the terms of the Creative Commons Attribution License, which permits unrestricted use and redistribution provided that the original author and source are credited.</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Copyright year ',
        shortDescription: null,
        id: '7617c919-4413-4306-b709-ef78c3110c3f',
        component: 'TextField',
        name: 'submission.copyrightYear',
        description: '<p class="paragraph">e.g. 2022</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Date received ',
        shortDescription: null,
        id: '6deaacc6-759a-4a68-b494-c38c664bb665',
        component: 'TextField',
        name: 'submission.dateReceived',
        description:
          '<p class="paragraph">preferred format: DD.MM.YYYY e.g. 07.01.2021</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Date accepted',
        shortDescription: null,
        id: '8b858adc-5f65-4385-9f79-5c5af1f67bd5',
        component: 'TextField',
        name: 'submission.dateAccepted',
        description:
          '<p class="paragraph">preferred format: DD.MM.YYYY e.g. 07.01.2021</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Date published ',
        shortDescription: null,
        id: 'f6e46890-4b96-4c90-ab48-b4fc5abb9b40',
        component: 'TextField',
        name: 'submission.datePublished',
        description:
          '<p class="paragraph">preferred format: DD.MM.YYYY e.g. 07.01.2021</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
    ],
  },
  manuscript: {
    __typename: 'Manuscript',
    parentId: null,
    id: 'aef08123-c009-4cd1-b9e0-9dbac8c50528',
    shortId: 1,
    created: '2022-04-15T11:28:25.021Z',
    files: [
      {
        __typename: 'File',
        id: 'b6794030-0f93-4d2a-8758-e008935b0ef3',
        created: '2022-04-18T17:37:56.397Z',
        label: null,
        filename: 'FPO Flyer with Speaker copy.pdf',
        fileType: 'review',
        mimeType: 'application/pdf',
        size: 691968,
        url: '/uploads/373947c5560f63c1ba1003fa629e0324.pdf',
        tags: [],
      },
      {
        __typename: 'File',
        id: '8ddab8f6-192b-472b-9780-037329375ce3',
        created: '2022-04-18T17:38:19.110Z',
        label: null,
        filename: 'faqs.pdf',
        fileType: 'confidential',
        mimeType: 'application/pdf',
        size: 668658,
        url: '/uploads/db8b5309b3dbfcd438241d4a16a1e3a6.pdf',
        tags: [],
      },
      {
        __typename: 'File',
        id: '40607fba-dc22-405c-a9f4-cd79aa7c2fdf',
        created: '2022-04-18T18:01:48.571Z',
        label: null,
        filename: 'faqs.pdf',
        fileType: 'supplementary',
        mimeType: 'application/pdf',
        size: 668658,
        url: '/uploads/a166876e02f420e383f7cad1f4e4de1b.pdf',
        tags: [],
      },
    ],
    reviews: [
      {
        __typename: 'Review',
        id: 'abfc71c7-dc58-4e5b-beeb-427e288ee53f',
        created: '2022-04-15T11:41:33.965Z',
        updated: '2022-04-18T10:31:34.002Z',
        reviewComment: {
          __typename: 'ReviewComment',
          id: 'b52142bf-8f93-4344-9f15-156b43715096',
          commentType: 'review',
          content: 'This is a test review',
          files: [
            {
              __typename: 'File',
              id: 'b6794030-0f93-4d2a-8758-e008935b0ef3',
              created: '2022-04-18T17:37:56.397Z',
              label: null,
              filename: 'FPO Flyer with Speaker copy.pdf',
              fileType: 'review',
              mimeType: 'application/pdf',
              size: 691968,
              url: '/uploads/373947c5560f63c1ba1003fa629e0324.pdf',
            },
          ],
        },
        confidentialComment: {
          __typename: 'ReviewComment',
          id: 'f2a99f16-96e8-4204-b09b-e8fb991bca95',
          commentType: 'confidential',
          content: 'This is a test comment',
          files: [
            {
              __typename: 'File',
              id: '8ddab8f6-192b-472b-9780-037329375ce3',
              created: '2022-04-18T17:38:19.110Z',
              label: null,
              filename: 'faqs.pdf',
              fileType: 'confidential',
              mimeType: 'application/pdf',
              size: 668658,
              url: '/uploads/db8b5309b3dbfcd438241d4a16a1e3a6.pdf',
            },
          ],
        },
        decisionComment: null,
        isDecision: false,
        isHiddenReviewerName: true,
        recommendation: 'revise',
        canBePublishedPublicly: null,
        user: {
          __typename: 'User',
          id: '68963a51-f520-4f8d-9bfe-ada35d36eb6e',
          username: 'Pankaj Kandpal',
          defaultIdentity: {
            __typename: 'Identity',
            id: '7c125c95-b624-4c6d-ad43-17ba6f4fdcf0',
            identifier: '0000-0002-1203-5003',
          },
        },
      },
    ],
    decision: '',
    teams: [
      {
        __typename: 'Team',
        id: '67d70966-5b03-4d31-9ccd-cf4ff0d3ccd4',
        name: 'Author',
        role: 'author',
        manuscript: {
          __typename: 'Manuscript',
          id: 'aef08123-c009-4cd1-b9e0-9dbac8c50528',
        },
        members: [
          {
            __typename: 'TeamMember',
            id: '78ccfa13-7ec5-4259-9845-edaf504c8255',
            user: {
              __typename: 'User',
              id: '68963a51-f520-4f8d-9bfe-ada35d36eb6e',
              username: 'Pankaj Kandpal',
            },
            status: null,
            isShared: null,
          },
        ],
      },
      {
        __typename: 'Team',
        id: '7c13548e-f1f6-4ecb-8187-15a60ef2d9a6',
        name: 'Reviewers',
        role: 'reviewer',
        manuscript: {
          __typename: 'Manuscript',
          id: 'aef08123-c009-4cd1-b9e0-9dbac8c50528',
        },
        members: [
          {
            __typename: 'TeamMember',
            id: '6da32852-562e-41c5-aef2-158ca6fe2d39',
            user: {
              __typename: 'User',
              id: '68963a51-f520-4f8d-9bfe-ada35d36eb6e',
              username: 'Pankaj Kandpal',
            },
            status: 'completed',
            isShared: null,
          },
        ],
      },
    ],
    status: 'submitted',
    meta: {
      __typename: 'ManuscriptMeta',
      manuscriptId: 'aef08123-c009-4cd1-b9e0-9dbac8c50528',
      title: 'New submission 15/04/2022, 16:58:24',
      source: null,
      abstract: null,
      history: null,
    },
    submission:
      '{"DOI":"TESTDOI","cover":"<p class=\\"paragraph\\">Test letter</p>","title":"","topics":["Neuropsychology "],"Funding":"Test entry","abstract":"<p class=\\"paragraph\\">This is test abstract</p>","datacode":"<p class=\\"paragraph\\">Test statement</p>","objectType":"figure","references":"<p class=\\"paragraph\\">Test entry</p>","authorNames":[{"id":"80000945-232b-4662-991a-b92d695113c7","email":"","lastName":"User","firstName":"PK","affiliation":""}],"dateAccepted":"07.01.2021","dateReceived":"07.01.2021","copyrightYear":"Test copyright","datePublished":"07.01.2021","DecisionLetter":"<p class=\\"paragraph\\">Test entry</p>","copyrightHolder":"Test entry","reviewingEditor":"","EditorsEvaluation":"Test evaluation","competingInterests":"<p class=\\"paragraph\\">Test entry</p>","copyrightStatement":"Test entry","authorContributions":"Test contribution","AuthorCorrespondence":"Test entry"}',
    manuscriptVersions: [],
    channels: [
      {
        __typename: 'Channel',
        id: '4570e741-372e-4adb-83d7-99c97c082dfa',
        type: 'all',
        topic: 'Manuscript discussion',
      },
      {
        __typename: 'Channel',
        id: '63c0c75e-6f97-44fd-b9f1-b4928515c24a',
        type: 'editorial',
        topic: 'Editorial discussion',
      },
    ],
  },
  showEditorOnlyFields: false,
  threadedDiscussions: [],
}

Base.args = baseProps

const emptyFormProps = {
  formData: {},
  form: {
    __typename: 'FormStructure',
    name: 'Research Object Submission Form',
    description:
      '<p>Please fill out the form below to complete your submission.</p>',
    haspopup: 'true',
    popuptitle:
      'By submitting the manuscript, you agree to the following statements.',
    popupdescription:
      '<p>The corresponding author confirms that all co-authors are included, and that everyone listed as a co-author agrees to that role and all the following requirements and acknowledgements:</p><p></p><p>The submission represents original work and sources are given proper attribution. The journal employs CrossCheck to compare submissions against a large and growing database of published scholarly content. If in the judgment of a senior editor a submission is genuinely suspected of plagiarism, it will be returned to the author(s) with a request for explanation.</p><p></p><p>The research was conducted in accordance with ethical principles.</p><p></p><p>There is a Data Accessibility Statement, containing information about the location of open data and materials, in the manuscript.</p><p></p><p>A conflict of interest statement is present in the manuscript, even if to state no conflicts of interest.</p>',
    children: [
      {
        __typename: 'FormElement',
        title: 'Type of Research Object',
        shortDescription: null,
        id: 'fa0c39ca-0486-4e29-ba24-f86f7d375c3f',
        component: 'Select',
        name: 'submission.objectType',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: [
          {
            __typename: 'FormElementOption',
            id: 'df5fc212-b055-4cba-9d0e-e85222e3d4f2',
            label: 'Dataset',
            value: 'dataset',
          },
          {
            __typename: 'FormElementOption',
            id: 'ef2ddada-105a-412e-8d7f-56b1df44c02f',
            label: 'Software',
            value: 'software',
          },
          {
            __typename: 'FormElementOption',
            id: '0fafbfc3-6797-46e3-aff4-3fd4f16261b1',
            label: 'Figure',
            value: 'figure',
          },
          {
            __typename: 'FormElementOption',
            id: '5117a7c6-2fcf-414b-ac60-47f8d93ccfef',
            label: 'Notebook',
            value: 'notebook',
          },
          {
            __typename: 'FormElementOption',
            id: '32121b38-b855-465e-b039-b5100177698b',
            label: 'Research article ',
            value: 'Research article ',
          },
        ],
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Title',
        shortDescription: null,
        id: '47fd802f-ed30-460d-9617-c8a9b9025e95',
        component: 'TextField',
        name: 'meta.title',
        description: null,
        doiValidation: null,
        placeholder: "Enter the manuscript's title",
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Author names',
        shortDescription: null,
        id: 'd76e5b3c-eeaa-4168-9318-95d43a31e3e4',
        component: 'AuthorsInput',
        name: 'submission.authorNames',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Topics',
        shortDescription: null,
        id: '62ca72ad-04b0-41fc-85d1-415469d7e895',
        component: 'CheckboxGroup',
        name: 'submission.topics',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: [
          {
            __typename: 'FormElementOption',
            id: '2323b6d1-8223-45e8-a0fc-1044a1e39d37',
            label: 'Neuropsychology ',
            value: 'Neuropsychology ',
          },
          {
            __typename: 'FormElementOption',
            id: 'ac7cafca-c5c8-4940-9f2f-014d18660e90',
            label: 'Topic 2',
            value: 'Topic 2',
          },
          {
            __typename: 'FormElementOption',
            id: '93c88240-9c2b-4c23-9301-23ed94ef61d7',
            label: 'Topic 3',
            value: 'Topic 3',
          },
        ],
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'DOI',
        shortDescription: null,
        id: '1c2e9325-3fa8-41f3-8607-180eb8a25aa3',
        component: 'TextField',
        name: 'submission.DOI',
        description: null,
        doiValidation: 'true',
        placeholder: "Enter the manuscript's DOI",
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Abstract',
        shortDescription: 'Abstract',
        id: 'd80b2c88-6144-4003-b671-63990b9b2793',
        component: 'AbstractEditor',
        name: 'submission.abstract',
        description: '<p>Please provide a short summary of your submission</p>',
        doiValidation: null,
        placeholder: 'Input your abstract...',
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Author correspondence ',
        shortDescription: null,
        id: '7f5aa395-3486-4067-b636-ae204d472c16',
        component: 'TextField',
        name: 'submission.AuthorCorrespondence',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Cover letter',
        shortDescription: null,
        id: '347dc171-f008-45ac-8433-ca0711bf213c',
        component: 'AbstractEditor',
        name: 'submission.cover',
        description:
          '<p>Cover letter describing submission, relevant implications, and timely information to consider</p>',
        doiValidation: null,
        placeholder: 'Enter your cover letter',
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Editors evaluation ',
        shortDescription: null,
        id: '14b8da7d-5924-4098-8d1f-e528c7c440b9',
        component: 'TextField',
        name: 'submission.EditorsEvaluation',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Data and Code availability statements',
        shortDescription: null,
        id: 'bf2f9b4a-377b-4303-8f51-70d836eb1456',
        component: 'AbstractEditor',
        name: 'submission.datacode',
        description: null,
        doiValidation: null,
        placeholder: 'Enter your data and code availability statement',
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Competing interests',
        shortDescription: null,
        id: 'fa5e5b75-4b6f-4a2d-9113-c2b4db73ef8a',
        component: 'AbstractEditor',
        name: 'submission.competingInterests',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Funding',
        shortDescription: null,
        id: '6bfdc237-814d-4af8-b0f0-064099d679ba',
        component: 'TextField',
        name: 'submission.Funding',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Upload supplementary materials',
        shortDescription: null,
        id: 'b769b4d5-f9b3-48d3-a6d5-77bb6a9e95b0',
        component: 'SupplementaryFiles',
        name: 'fileName',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Author contributions ',
        shortDescription: null,
        id: 'b127ecb1-4862-4662-a958-3266eb284353',
        component: 'TextField',
        name: 'submission.authorContributions',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Decision letter and author response',
        shortDescription: null,
        id: '6342cff7-c57a-4fd9-b91d-c4cf77b4c309',
        component: 'AbstractEditor',
        name: 'submission.DecisionLetter',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'References ',
        shortDescription: null,
        id: 'e8af0c63-e46f-46a8-bc90-5023fe50a541',
        component: 'AbstractEditor',
        name: 'submission.references',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Reviewing editors name ',
        shortDescription: null,
        id: 'ebe75cec-0ba8-4f00-9024-20e77ed94f1c',
        component: 'AuthorsInput',
        name: 'submission.reviewingEditor',
        description: null,
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Copyright holder',
        shortDescription: null,
        id: '6871680a-2278-40b3-80c6-7de06f21aafb',
        component: 'TextField',
        name: 'submission.copyrightHolder',
        description: '<p class="paragraph">e.g. British Medical Journal </p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Copyright statement ',
        shortDescription: null,
        id: '1e9ff636-f850-4d20-b079-36af49fa4ad1',
        component: 'TextField',
        name: 'submission.copyrightStatement',
        description:
          '<p class="paragraph">e.g. This article is distributed under the terms of the Creative Commons Attribution License, which permits unrestricted use and redistribution provided that the original author and source are credited.</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Copyright year ',
        shortDescription: null,
        id: '7617c919-4413-4306-b709-ef78c3110c3f',
        component: 'TextField',
        name: 'submission.copyrightYear',
        description: '<p class="paragraph">e.g. 2022</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Date received ',
        shortDescription: null,
        id: '6deaacc6-759a-4a68-b494-c38c664bb665',
        component: 'TextField',
        name: 'submission.dateReceived',
        description:
          '<p class="paragraph">preferred format: DD.MM.YYYY e.g. 07.01.2021</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Date accepted',
        shortDescription: null,
        id: '8b858adc-5f65-4385-9f79-5c5af1f67bd5',
        component: 'TextField',
        name: 'submission.dateAccepted',
        description:
          '<p class="paragraph">preferred format: DD.MM.YYYY e.g. 07.01.2021</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
      {
        __typename: 'FormElement',
        title: 'Date published ',
        shortDescription: null,
        id: 'f6e46890-4b96-4c90-ab48-b4fc5abb9b40',
        component: 'TextField',
        name: 'submission.datePublished',
        description:
          '<p class="paragraph">preferred format: DD.MM.YYYY e.g. 07.01.2021</p>',
        doiValidation: null,
        placeholder: null,
        parse: null,
        format: null,
        options: null,
        validate: null,
        validateValue: null,
      },
    ],
  },
  manuscript: {
    __typename: 'Manuscript',
    parentId: null,
    id: 'ce9e279e-aaa8-405e-8d78-f438622f430b',
    shortId: 2,
    created: '2022-04-18T18:07:22.907Z',
    files: [],
    reviews: [
      {
        __typename: 'Review',
        id: '3450bb30-3f60-4b7e-b821-62500e35c379',
        created: '2022-04-18T18:08:02.249Z',
        updated: '2022-04-18T18:08:02.249Z',
        reviewComment: null,
        confidentialComment: null,
        decisionComment: null,
        isDecision: false,
        isHiddenReviewerName: true,
        recommendation: '',
        canBePublishedPublicly: null,
        user: {
          __typename: 'User',
          id: '68963a51-f520-4f8d-9bfe-ada35d36eb6e',
          username: 'Pankaj Kandpal',
          defaultIdentity: {
            __typename: 'Identity',
            id: '7c125c95-b624-4c6d-ad43-17ba6f4fdcf0',
            identifier: '0000-0002-1203-5003',
          },
        },
      },
    ],
    decision: '',
    teams: [
      {
        __typename: 'Team',
        id: 'bd3d2305-9ddf-4d3e-bf25-0e06f80197e5',
        name: 'Author',
        role: 'author',
        manuscript: {
          __typename: 'Manuscript',
          id: 'ce9e279e-aaa8-405e-8d78-f438622f430b',
        },
        members: [
          {
            __typename: 'TeamMember',
            id: '9074123c-1491-4fe2-9f07-03ee2a34a352',
            user: {
              __typename: 'User',
              id: '68963a51-f520-4f8d-9bfe-ada35d36eb6e',
              username: 'Pankaj Kandpal',
            },
            status: null,
            isShared: null,
          },
        ],
      },
      {
        __typename: 'Team',
        id: 'de6a8e2e-10f2-442b-82a3-d3802b613244',
        name: 'Senior Editor',
        role: 'seniorEditor',
        manuscript: {
          __typename: 'Manuscript',
          id: 'ce9e279e-aaa8-405e-8d78-f438622f430b',
        },
        members: [
          {
            __typename: 'TeamMember',
            id: 'b399c2a0-e167-4959-b59f-cecfc8c2fb4f',
            user: {
              __typename: 'User',
              id: '68963a51-f520-4f8d-9bfe-ada35d36eb6e',
              username: 'Pankaj Kandpal',
            },
            status: null,
            isShared: null,
          },
        ],
      },
      {
        __typename: 'Team',
        id: '2ecefab5-4a64-4d82-a910-8e84db07b738',
        name: 'Reviewers',
        role: 'reviewer',
        manuscript: {
          __typename: 'Manuscript',
          id: 'ce9e279e-aaa8-405e-8d78-f438622f430b',
        },
        members: [
          {
            __typename: 'TeamMember',
            id: 'eaa80fe7-e9d4-412c-9b7b-c799693fa5eb',
            user: {
              __typename: 'User',
              id: '68963a51-f520-4f8d-9bfe-ada35d36eb6e',
              username: 'Pankaj Kandpal',
            },
            status: 'accepted',
            isShared: null,
          },
        ],
      },
    ],
    status: 'new',
    meta: {
      __typename: 'ManuscriptMeta',
      manuscriptId: 'ce9e279e-aaa8-405e-8d78-f438622f430b',
      title: 'New submission 18/04/2022, 23:37:22',
      source: null,
      abstract: null,
      history: null,
    },
    submission:
      '{"DOI":"","cover":"","title":"","topics":[],"Funding":"","abstract":"","datacode":"","objectType":"","references":"","authorNames":"","dateAccepted":"","dateReceived":"","copyrightYear":"","datePublished":"","DecisionLetter":"","copyrightHolder":"","reviewingEditor":"","EditorsEvaluation":"","competingInterests":"","copyrightStatement":"","authorContributions":"","AuthorCorrespondence":""}',
    manuscriptVersions: [],
    channels: [
      {
        __typename: 'Channel',
        id: 'bd3a2ce9-453f-4087-afd7-70080e479621',
        type: 'all',
        topic: 'Manuscript discussion',
      },
      {
        __typename: 'Channel',
        id: '99c50c26-76ea-49a5-aae3-272212b8068c',
        type: 'editorial',
        topic: 'Editorial discussion',
      },
    ],
  },
  showEditorOnlyFields: false,
  currentUser: {
    id: 'e11b5e2f-441a-4bf5-a74a-34fb5dd09e39',
    username: 'Some User',
  },
}

EmptyReviewMetadaForm.args = {
  ...emptyFormProps,
  figmaEmbedLink:
    'https://www.figma.com/embed?embed_host=share&url=https%3A%2F%2Fwww.figma.com%2Ffile%2FuDxsjgDWxjiof0qSNFLelr%2FKotahi-storybook%3Fnode-id%3D1634%253A29',
}

export default {
  title: 'Review/ReviewMetadata',
  component: ReadonlyFormTemplate,
  parameters: {
    docs: {
      page: () => (
        <DesignEmbed figmaEmbedLink="https://www.figma.com/embed?embed_host=share&url=https%3A%2F%2Fwww.figma.com%2Ffile%2FuDxsjgDWxjiof0qSNFLelr%2FKotahi-storybook%3Fnode-id%3D1634%253A26" />
      ),
    },
  },
  argTypes: {},
}
